Closed Bug 1220046 Opened 6 years ago Closed 6 years ago

[Settings] In Settings view, the "Airplane mode" item is displayed wrongly as toggled off, but actually it is on.

Categories

(Firefox OS Graveyard :: Gaia::Settings, defect)

ARM
Gonk (Firefox OS)
defect
Not set
major

Tracking

(blocking-b2g:2.5?, b2g-v2.2 affected, b2g-v2.5 affected, b2g-master verified)

RESOLVED FIXED
blocking-b2g 2.5?
Tracking Status
b2g-v2.2 --- affected
b2g-v2.5 --- affected
b2g-master --- verified

People

(Reporter: yi.zou, Assigned: gasolin)

References

Details

(Whiteboard: [2.5-aries-test-run-3])

Attachments

(4 files)

[1.Description]:
[Aries KKv2.5][Flame KK v2.5&v2.2] [Settings] When user taps the " Airplane mode " from the notification bar to turn on the "Airplane mode ", the "Airplane mode" item is displayed wrongly as toggled off  in Settings view, but actually it is on.

See attachment: logcat2133.txt and Aries_KK_v2.5.3gp
Found time: 21:33

[2.Testing Steps]: 
1. Launch the " Settings ".
2. Press the " Home " button   (The "Setting" runs in the background).
3. Pull down the notification bar.
4. Click the "  Airplane mode ".
5. Once again, launch  the " Settings  ".

[3.Expected Result]: 
5. In Settings view, the "Airplane mode" item is displayed as toggled on, and it is actually on.

[4.Actual Result]: 
5. In Settings view, the "Airplane mode" item is displayed wrongly as toggled off, but actually it is on.

[5.Reproduction build]: 
Device: Aries KK v2.5 (Affected)
Build ID               20151030011852
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/6d1e12f5725b56453e368b960e873261e0d48b5a
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151030.003818
Firmware Date          Fri Oct 30 00:38:26 UTC 2015
Bootloader             s1

Flame KK v2.5(Affected)
Build ID               20151029150245
Gaia Revision          91cac94948094cfdcd00cba5c6483e27e80cb3b0
Gaia Date              2015-10-28 20:32:15
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/1fbc958f75576446a57cf93406db87b51b12911d
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151029.182402
Firmware Date          Thu Oct 29 18:24:11 EDT 2015
Firmware Vresion      V18D V4
Bootloader             L1TC000118D0

Flame KK v2.2(Affected)
Build ID               20151029032509
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/b8b7f4efaa6e
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151029.065402
Firmware Date          Thu Oct 29 06:54:13 EDT 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0


[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
free test
Hi Gerry,

Could you help to dispatch this bug? thanks :)
Note: If kill settings process and then relaunch, it will recover.
Flags: needinfo?(gchang)
[Blocking Requested - why for this release]:

User can easily repro this bug, bad user experience.
blocking-b2g: --- → 2.5?
I can also recreate this issue. 
Hi Fred,
Can you help to take a look at this bug?
Flags: needinfo?(gchang) → needinfo?(gasolin)
Its related to settings deregister the switch listener in onhide state, will check it after back to office on monday
unobserve at uninit state could solve this issue
Assignee: nobody → gasolin
Flags: needinfo?(gasolin)
Comment on attachment 8682979 [details] [review]
[gaia] gasolin:issue-1220046 > mozilla-b2g:master

also added (minimum) unit test for root panel.js
Attachment #8682979 - Flags: review?(yzenevich)
Blocks: 1221630
Comment on attachment 8682979 [details] [review]
[gaia] gasolin:issue-1220046 > mozilla-b2g:master

Looks good.
Attachment #8682979 - Flags: review?(yzenevich) → review+
merged https://github.com/mozilla-b2g/gaia/commit/dd8b1ac973924af942b6918e2e4920fabd89c063

thanks
Status: NEW → RESOLVED
Closed: 6 years ago
Resolution: --- → FIXED
This bug has been verified as "pass" on the latest build of Aries KK v2.6 and Flame KK v2.6 512mb by the STR in comment 0.

Actual results: In Settings view, the "Airplane mode" item is displayed as toggled on, and it is actually on.
See attachment:verified Aries_v2.6.3gp.
Reproduce rate: 0/10.

Device: Aries KK 2.6 (master)(Pass)
Build ID               20151107001102
Gaia Revision          c3436122d678911d04b8f491724596116890ff9b
Gaia Date              2015-11-06 18:22:03
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e2a910c048dc82fc3be53475f18e7f81f03e377b
Gecko Version          45.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151106.232924
Firmware Date          Fri Nov  6 23:29:32 UTC 2015
Bootloader             s1

Device: Flame KK 2.6 512mb (master)(Pass)
Build ID               20151108150206
Gaia Revision          c3436122d678911d04b8f491724596116890ff9b
Gaia Date              2015-11-06 18:22:03
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/e2a910c048dc82fc3be53475f18e7f81f03e377b
Gecko Version          45.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151108.183921
Firmware Date          Sun Nov  8 18:39:33 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0
QA Whiteboard: [MGSEI-Triage+]
You need to log in before you can comment on or make changes to this bug.